<?php
/**
 * @package		Joomla & QuickForm
* @Copyright ((c) plasma-web.ru
        * @license    GPLv2 or later
        */

// namespace QuickForm;

\defined('QF3_VERSION') or die;


$qf_lang_array = array(
    'QF_EMAIL_HISTORY' => 'E-mail History',
    'QF_ALL_PROJECTS' => 'All Projects',
    'QF_PROJECT_MANAGER' => 'Project Manager',
    'QF_ADD_NEW' => 'Add new',
    'QF_ACTIVATE' => 'Publish',
    'QF_DEACTIVATE' => 'Deactivate',
    'QF_STATE' => 'State',
    'QF_ACCESS' => 'Availability',
    'QF_PUBLISHED' => 'Published',
    'QF_UNPUBLISHED' => 'Unpublished',
    'QF_SAVE_CLOSE' => 'Save & close',
    'QF_SAVE_CREATE' => 'Save & create',
    'QF_NOT_SELECTED' => '- Not selected -',
    'QF_TITLE_DESC_PROJ' => 'This header can be added to the email.',
    'QF_TITLE_DESC_FORM' => 'Convenient header for internal use.',
    'QF_FORM_SETTINGS' => 'Form settings',
    'QF_FIELDSET_EMAIL' => 'Email settings',
    'QF_FIELDSET_CALCULATOR' => 'Calculator Settings',
    'QF_FIELDSET_ADVANCED' => 'Advanced setting',
    'QF_CHOOSE' => 'Choose',
    'QF_CREATE' => 'Create',
    'QF_STYLES' => 'CSS file for form',
    'QF_SELECT_CSS_FILE' => 'Select css file',
    'QF_CSS_FILE_NAME' => 'CSS file name',
    'QF_FOR_EXAMPLE_CSS' => 'For example, example.css',
    'QF_COPY_DEFAULT_CSS' => 'Copy styles from default.css',
    'QF_JS' => 'JS file for form',
    'QF_MODAL' => 'Form in a modal window',
    'QF_MODAL_LINK' => 'Link text',
    'QF_AJAX' => 'Sending Ajax',
    'QF_KEEPALIVE' => 'Keeps the session on the form page by sending an ajax request every 10 minutes. Disabled by default.',
    'QF_MESSAGE' => 'Message after sending',
    'QF_MESSAGE_INNER' => 'Thank you for your order. Our manager will contact you soon.',
    'QF_ALTER_EMAIL' => 'E-mail',
    'QF_EMAIL_DESK' => 'If empty, then the global site email will be used. Here you can enter several addresses separated by commas.',
    'QF_SUBJECT' => 'Email subject (optional)',
    'QF_LETTER_TMPL' => 'Email template',
    'QF_SHOWTITLE' => 'Display project title',
    'QF_SHOWTITLE_DESK' => 'Display project title in email',
    'QF_SHOWURL' => 'Show link to form page in email.',
    'QF_EMAIL_START_TEXT' => 'Introductory Text (html)',
    'QF_EMAIL_START_TEXT_DEF' => 'Hello {replacerName}. You have sent a request to our site site.com. Application number: {replacerId} from {replacerDate}. Your request:',
    'QF_EMAIL_FINAL_TEXT' => 'Final text (html)',
    'QF_CALCULATOR_TYPE' => 'Type of calculator',
    'QF_CALCULATOR_FORMUL' => 'Formula',
    'QF_RECORD_HISTORY' => 'Write history',
    'QF_CART_IMG_LINK' => 'Cart Image',
    'QF_CART_IMG_LINK_DESC' => 'Image of the project (product) in the cart window',
    'QF_FIELD_ID_DESC' => 'Number of the database entry',
    'QF_ACCESS_DESC' => 'The level of access that the group must have to view.',
    'QF_LANGUAGE' => 'Language',
    'QF_HITS' => 'Submitted',
    'QF_HITS_DESK' => 'The number of submitted forms.',
    'QF_CDESK_DEFAULT' => 'This is the fastest and most dynamic way in most cases. All calculation logic is located in the settings of each field, and contains a segment of the final mathematical string. By dynamically adding or removing fields, or changing the value, the user changes the resulting string of the calculator. The following characters can be used in this: 0-9()-.+<>!=:?*/|%&v.<br /><br />The advantage of this method is that there is no formula and no dependence on the field id. Accordingly, you can use the same field many times in the same form in different places and with different values. Or vice versa, use different fields with different mathematics in the same place of the form, changing them dynamically. Your task is to correctly place the brackets without causing calculation errors. This logic is ideal for a dynamic calculator involving dependent fields or cloning them. It is possible to set conditions like if else using dependent fields, or by writing +(v>10?v:10) in field. Hidden fields can be used to write more complex logic.<br /><br />This method calculates only one result. Parts are cancatenated into the resulting string in the same way as the fields in the form are arranged one after the other. This method is poorly suited if the calculation must include the field twice, for example, x*(x+y)+y*(x+y), where x and y are the «v» values from different fields.',
    'QF_CDESK_MULTIPL' => 'This method also exports mathematical logic to the settings of the fields themselves. The difference is the presence of a setting formula and the ability to display several results of the calculator, the ability to change the order of fields, the ability to use fields selectively, the ability to use one field several times, for example, 3.4={2.2}*{1.1}+{2.3}*{1.1}, the ability to add math to the formula.<br /><br />Set the following formula 4.31={4.25}{4.27}*2+({3.15}+{1.25}){4.2}, where 4.31= is fieldid calculatorSum. {4.25} - fieldid, that will replace the value from the settings (number or mathematical expression). Semicolon - formula separator. Keep in mind that if the same field is encountered several times with a different value (for example, displayed by a dependent field), then the latter will be used. If the field is not found, it will be ignored.<br /><br />To display several results, use the following formula:<br /><br />width={4.27}{3.15};<br />4.25=({7.0} >= 10?100:200){7.1};<br />4.58={4.25}{4.27}{4.25}+{width};<br />5.7=3.14*{3.16}*{3.16}/2+{4.25}({4.27}||{2.15});<br />9.12={width}*{5.7}<br /><br />In this method, you can use simple operators: 0-9()-.+<>!=:?*/|%&. The disadvantage of this method is the connection with the field id, which makes it difficult to use a dynamic calculator. For example, a user clones a group of fields. In this case, several fields with the same id appear. The user enters different values, but the calculator takes only one into account.',
    'QF_CDESK_SIMPLE' => 'This type follows the usual common logic. It completely transfers mathematics into a formula. Instead of mathematical expressions in «math», you need to enter the name of the variable. For example, «width» in the first box and «height» in the second. The formula for calculating half the area will then look like this: 4.31 = {width}*{height}/2. Formula for calculating the area of a circle: 4.32 = 3.14*{d}*{d}/4, where d is a variable assigned to a field with a diameter.<br /><br />The disadvantage is that the calculator only calculates input fields of type number, text, range.<br /><br />Like the previous one, this method can show several results. To do this, you need to display the calculatorSum functional field several times. In this method, you can use simple operators: 0-9()-.+<>!=:?*/|%&',
    'QF_CDESK_CUSTOM' => 'All previous calculators calculate on the client\'s computer, and after sending, they check it by recalculating the fields on the server. The proposed method always counts on the server, sending a request with ajax every time the form is changed. Formula directly in php. It is enough to write only include ("path to the file with logic") into the formula. This option is the most functional, but requires knowledge of the language.<br /><br />Example of a cone calculation:',
    'QF_PROGECTS' => 'Projects',
    'QF_FIELD_GROUPS' => 'field groups',
    'QF_BY_DEFAULT' => 'By default',
    'QF_STATE_2' => 'State',
    'QF_ACCESS_2' => 'Access',
    'QF_QUANTITY' => 'Qty',
    'QF_FIELDS' => 'Fields',
    'QF_ADD_FIELD' => 'Add fields',
    'QF_ALL_FORMS' => 'All forms',
    'QF_EMPTY_PROGECTS' => 'Create a project for your future form. Here you can set its basic settings, for example, make it a calculator, display it in a modal window, attach an individual style file, and so on.',
    'QF_ERR_DATABASE' => 'A database error occurred.',
    'QF_N_ITEMS_PUBLISHED' => 'items published.',
    'QF_N_ITEMS_UNPUBLISHED' => 'items unpublished.',
    'QF_N_ITEMS_DELETED' => 'items deleted.',
    'QF_N_GROUPS_DELETED' => 'dependent groups deleted.',
    'QF_N_PROJECTS_DELETED' => 'projects deleted.',
    'QF_ERROR' => 'Error:',
    'QF_MESSAGE' => 'Message:',
    'QF_DESCADDTOCART' => 'Use this button instead of submit, then the form will be saved to the cart.<br><br>To display the cart, use [qf_cart] on your site pages.<br><br>Enable store mode in the settings. ',
    'QF_DESCCALENDAR' => 'When using a calculator and double, v is the difference in days between dates. If the difference in days is negative, v is 0. The value parameter can be set to +10, -3, 0 - the current day.',
    'QF_DESCCLONER' => 'It is a container in which a group of fields is cloned. Has vertical and horizontal (tabular) modes. <br><br> sum - display the sum for each clone (default calculator only). <br><br> max - Maximum number of clones <br><br> numbering - text and numbering clones (in email).',
    'QF_DESCINCLUDER' => 'Allows you to connect any group of fields to the current sequence.',
    'QF_DESCMAT' => 'Write a math expression to be inserted into the calculator string, or leave it empty. For example, +200 or *1.5+(50 or +2*v (for filled fields, the entered value is indicated by v).',
    'QF_DESCMATCL' => 'Only for default calculator.<br><br>Write a mathematical expression that will run the calculator or leave the field empty. For example +2*(<br><br>start - in front of the container.<br>end - at the end of the container.',
    'QF_DESCRECAPTCHA' => 'ReCAPTCHA settings are located in the global plugin configuration.',
    'QF_DESCRELATED' => 'Enter id that group will be displayed when you select or leave empty. You can use fields from any project. Keep away from recursion.',
    'QF_DESCSTEPPER' => 'Draws a container that bounds the area of the form in which the interface is displayed.',
    'QF_DESCTABS' => 'Displays a container in which groups of fields are displayed as tabs.',
    'QF_HIDELETTER' => 'hide in email',
    'QF_HIDE_FIELD_AND_DEPENDENT_STRUCTURE' => 'hide the field and dependent structure',
    'QF_HIDE_FIELD_BUT_SHOW_DEPENDENT_STRUCTURE' => 'hide field but show dependent structure',
    'QF_HIDE_ONLY_IF_NOT_SELECTED' => 'hide only if not selected',
    'QF_CALCSUM' => 'This function outputs the result of your calculator into a form.<br><br>fixed - a number of simbols after comma.',
    'QF_ALL' => 'all',
    'QF_BACKEMAIL' => 'The field sends a copy of the message to the user\'s email. Has hidden and explicit mode. <br><br> all- show to all (works only in conjunction with the userEmail field). Insecure (the extension protects against automatic spam, but a spammer can enter someone else\'s addresses and send them manually). <br><br> registered - the form will be sent to the address from the user\'s registration data (shown only to authorized users).',
    'QF_SHOWF' => 'show in form',
    'QF_SHOWL' => 'show in email',
    'QF_FILETOEMAIL' => 'Attach to email',
    'QF_FILETOSERVER' => 'Upload to server',
    'QF_QFFILE' => '1. Empty extens allows all file types except dangerous ones.<br>2. To upload to the server, activate the option in the plugin settings.',
    'QF_CUSTOMHTML' => 'Allows you to insert markup between fields. Displays any html code, images, styles, etc. <br> <br> You can use this field to display markup in email, but taking into account the table structure of the message.',
    'QF_SUMCLONER' => 'amount with each clone',
    'QF_STEPPERBTNS' => 'Displays interface buttons. Must be inside the container. Buttons can be loaded by a dependent field, in which case the interface will be dynamic.',
    'QF_GLOBAL_SETTINGS' => 'General settings',
    'QF_UPLOAD_FILES_DESCR' => 'If not, the files are attached to the letter, but they are not uploaded to the server',
    'QF_SHOPMOD' => 'Enable store mode',
    'QF_REFERENCE_TO_THE_AUTHOR' => 'Link to the author\'s site',
    'QF_SIMPLE' => 'Simple',
    'QF_INVISIBLE' => 'Hidden (bad for SEO)',
    'QF_REMOVE' => 'Remove completely / activate',
    'QF_ENTER_THE_CODE' => 'Enter code',
    'QF_SERVICES_LABEL' => 'Services',
    'QF_THEME' => 'Theme',
    'QF_SHOW' => 'Show',
    'QF_GUEST' => 'only not authorized',
    'QF_SITEKEY' => 'Public key',
    'QF_SERVERKEY' => 'The secret key',
    'QF_UPLOAD_FILES' => 'Uploading files to the server',
    'QF_ENTER_CODE' => 'Get an activation key for QuickForm.',
    'QF_SHOP_SETTINGS' => 'Shopping cart settings',
    'QF_MINICART_SET' => 'Mini Cart Module',
    'QF_CART_WINDOW' => 'Cart window',
    'QF_FUNCTIONALITY' => 'Functionality',
    'QF_CURRENCY_POS' => 'Currency position',
    'QF_BEFORE' => 'in front',
    'QF_AFTER' => 'behind',
    'QF_PCS' => 'Text in front',
    'QF_PRICE_LABEL' => 'products:',
    'QF_PRICE' => 'Price',
    'QF_FORMAT' => 'Format',
    'QF_FIXED' => 'Fixed',
    'QF_BIGCART_LAB_1' => 'Text inserts, html',
    'QF_BEFORE_CART' => 'Top of the cart',
    'QF_AFTER_TABLE' => 'After the table',
    'QF_AFTER_CART' => 'Bottom of the cart',
    'QF_BIGCART_LAB_2' => 'Embeddable forms: payment, delivery, contact details, etc.',
    'QF_BIGCART_LAB_5' => 'Don\'t use the submit button here or below. Don\'t use file attachments button. These forms can be with a calculator and dependent fields.',
    'QF_BIGCART_LAB_4' => 'This form will open in a modal window.',
    'QF_BIGCART_LAB_3' => 'Final invoice headers',
    'QF_ORDER_PRICE' => 'Order cost',
    'QF_PRIMARY_SUM' => 'Primary sum:',
    'QF_FINAL_PRICE' => 'Total price:',
    'QF_TO_ORDER' => 'Checkout',
    'QF_SEND_ORDER' => 'Send order',
    'QF_BACK_CART' => 'Send a copy to the user\'s address. (The option requires activation of this extension.)',
    'QF_BACK_CART_DESK' => 'If there is a useremail field, sends it there. If not, it will send it to the user\'s registration data (for authorized users).',
    'QF_ADD_FILES' => 'Attach files',
    'QF_ADD_FILES1' => 'bottom cart',
    'QF_ADD_FILES2' => 'in each product line',
    'QF_REQUIRED' => 'required',
    'QF_ALL_FILES' => 'All files',
    'QF_WHITELIST' => 'White list',
    'QF_LIST' => 'List',
    'QF_DISCOUNT_3' => 'Activate discounts',
    'QF_DISCOUNT_EXAMPLE' => 'The ranges must not overlap and are separated by a hyphen. The lines are separated by a percent sign. The values of promo codes should not contain a percent sign and a hyphen. <br><br>Example of discounts from the order amount: <br>600-800-5%<br>800-1000-10%<br>1000-5000-20%<br><br>Example of promo codes:<br>plEGSZf1XVR88dgw-10%<br>40gWVrtm-15%<br>6jT4FA3zTq-5%',
    'QF_DISCOUNT_1' => 'Discounts from the amount:',
    'QF_DISCOUNT_2' => 'Promo codes:',
    'QF_ATTACHMENT_SETTINGS' => 'Attached files',
    'QF_DEL_OLD_FILES' => 'Removing old files, folders',
    'QF_PLUGIN_COD' => 'Plugin code',
    'QF_NEW' => 'New',
    'QF_UNDERWAY' => 'In work',
    'QF_ACHIEVED' => 'Done',
    'QF_NOTE' => 'Note',
    'QF_HELP' => '<br>Free support on any public forum. You need to send a link to the discussion page via my website: <a target="_blank" href="http://plasma-web.ru/en/dev/quickform3">plasma-web.ru</a>. I will answer every day without days off. Proposals for the development of forms and calculators are also accepted (from $40).<br>',
    'QF_TOOLBAR_CLOSE' => 'Close and go to the fields',
    'QF_MSGTMPL' => 'The message outputs',
    'QF_TEMPLATE' => 'template',
    'QF_EDIT_PROGECT' => 'Edit the form project',
    'QF_ADD_PROGECT' => 'Create a form project',
    'QF_PROGECTS_LIST' => 'QuickForm projects',
    'QF_FIELD_GROUPS' => 'List of project field groups',
    'QF_EDIT_FIELDS' => 'Edit a group of fields',
    'QF_ADD_FIELDS' => 'Create a group of fields',
    'QF_FILES_ACTIVAT' => 'Activate the file upload in the extension settings',
    'QF_NO_ACL' => 'You don\'t have rights to edit entries.',
    'QF_PARAMS' => 'Params',
    'QF_CALCULATOR' => 'Calculator',
    'QF_DEPENDENT_FIELDS' => 'Dependent fields',
    'QF_VISIBILITY_IN_EMAIL' => 'Visibility in email',
    'QF_DESCRIPTION' => 'Description',
    'QF_COUNTERS' => 'Services',
    'QF_HIDE_ONLY_EMPTY' => 'Hide if empty',
    'QF_OPTIONS' => 'Options',
    'QF_REDEFINE' => 'Override defaults',
);
