<?php
/**
 * @package		Joomla & QuickForm
* @Copyright ((c) plasma-web.ru
        * @license    GPLv2 or later
        */

// namespace QuickForm;

\defined('QF3_VERSION') or die;


$qf_lang_array = array(
    'QF_EMAIL_HISTORY' => 'E-mail История',
    'QF_ALL_PROJECTS' => 'Все проекты',
    'QF_PROJECT_MANAGER' => 'Менеджер проектов',
    'QF_ADD_NEW' => 'Создать',
    'QF_ACTIVATE' => 'Опубликовать',
    'QF_DEACTIVATE' => 'Деактивировать',
    'QF_STATE' => 'Состояние',
    'QF_ACCESS' => 'Доступность',
    'QF_PUBLISHED' => 'Опубликовано',
    'QF_UNPUBLISHED' => 'Неопубликовано',
    'QF_SAVE_CLOSE' => 'Сохранить и закрыть',
    'QF_SAVE_CREATE' => 'Сохранить и создать',
    'QF_NOT_SELECTED' => '- Не выбрано ни одного -',
    'QF_TITLE_DESC_PROJ' => 'Этот заголовок может быть добавлен в email.',
    'QF_TITLE_DESC_FORM' => 'Удобный заголовок для внутреннего использования.',
    'QF_FORM_SETTINGS' => 'Настройки формы',
    'QF_FIELDSET_EMAIL' => 'Настройки email',
    'QF_FIELDSET_CALCULATOR' => 'Настройки калькулятора',
    'QF_FIELDSET_ADVANCED' => 'Дополнительные параметры',
    'QF_CHOOSE' => 'Выбрать',
    'QF_CREATE' => 'Создать',
    'QF_STYLES' => 'CSS файл для формы',
    'QF_SELECT_CSS_FILE' => 'Выбрать css файл',
    'QF_CSS_FILE_NAME' => 'Имя CSS файла',
    'QF_FOR_EXAMPLE_CSS' => 'Например, example.css',
    'QF_COPY_DEFAULT_CSS' => 'Скопировать стили из default.css',
    'QF_JS' => 'JS файл для формы',
    'QF_MODAL' => 'Форма в модальном окне',
    'QF_MODAL_LINK' => 'Текст ссылки',
    'QF_AJAX' => 'Отправка аяксом',
    'QF_KEEPALIVE' => 'Удерживает сессию на странице с формой, отправляя ajax запрос каждые 10 мин. По умолчанию отключено.',
    'QF_MESSAGE' => 'Сообщение после отправки формы',
    'QF_MESSAGE_INNER' => 'Спасибо за ваш заказ. Наш менеджер свяжется с вами в ближайшее время.',
    'QF_ALTER_EMAIL' => 'E-mail',
    'QF_EMAIL_DESK' => 'Если отавить поле пустым, будет задействован глобальный email сайта. Тут вы можете ввести несколько адресов через запятую.',
    'QF_SUBJECT' => 'Тема письма (опционально)',
    'QF_LETTER_TMPL' => 'Шаблон письма',
    'QF_SHOWTITLE' => 'Отображать заголовок проекта',
    'QF_SHOWTITLE_DESK' => 'Отображать заголовок проекта в письме',
    'QF_SHOWURL' => 'Показывать ссылку на страницу с формой в письме',
    'QF_EMAIL_START_TEXT' => 'Вступительный текст (html)',
    'QF_EMAIL_START_TEXT_DEF' => 'Здравствуйте, {replacerName}. Вы отправили заявку на наш сайт site.com. Номер заявки: {replacerId} от {replacerDate}. Ваш запрос:',
    'QF_EMAIL_FINAL_TEXT' => 'Заключительный текст (html)',
    'QF_CALCULATOR_TYPE' => 'Тип калькулятора',
    'QF_CALCULATOR_FORMUL' => 'Формула',
    'QF_RECORD_HISTORY' => 'Записывать историю',
    'QF_CART_IMG_LINK' => 'Изображение в корзине',
    'QF_CART_IMG_LINK_DESC' => 'Изображение проекта (товара) в окне корзины',
    'QF_FIELD_ID_DESC' => 'Номер записи в базе данных',
    'QF_ACCESS_DESC' => 'Уровень доступа, которым должна обладать группа для просмотра.',
    'QF_LANGUAGE' => 'Язык',
    'QF_HITS' => 'Ко-во отправлений',
    'QF_HITS_DESK' => 'Количество отправленных форм.',
    'QF_CDESK_DEFAULT' => 'Это самый быстрый и динамичный способ в большинстве случаев. Вся логика расчета располагается в настройках самих полей, каждое из которых содержит отрезок итоговой математической строки. Динамически встраивая и убирая поля, или меняя значение, пользователь изменяет итоговую строку расчета калькулятора.  В данной строке можно использовать следующие символы: 0-9()-.+<>!=:?*/|%&v.<br /><br />Преимуществом этого способа является отсутствие формулы и зависимости от id поля. Соответственно, вы сможете использовать одно поле много раз в одной и той же форме в разных местах и с разными значениями. Либо наоборот, использовать разные поля с разной математикой в одном и том же месте формы, меняя их динамически. Ваша задача заключается в том, чтобы правильно расставить скобки, не вызывая ошибок калькуляции. Такая логика идеальна для динамического калькулятора, включающего зависимые поля или их клонирование. Есть возможность ставить условия типа if else с помощью зависимых полей, либо записью +(v>10?20:10) в поле. Для записи более сложной логики можно использовать hidden поля.<br /><br />Этот способ вычисляет только один результат. Канкатенация частей в общую строку происходит так же, как расположены поля в форме, один за другим. Этот способ плохо подойдет, если расчет должен включать поле дважды, например, x*(x+y)+y*(x+y), где x и y - значение v из разных полей.',
    'QF_CDESK_MULTIPL' => 'Этот способ так же выносит математическую логику в настройки самих полей. Отличием является наличие задающей формулы и возможность выводить несколько результатов калькулятора, возможность изменить порядок следования, возможность использовать поля выборочно, возможность использовать одно поле несколько раз, например, 3.4={2.2}*{1.1}+{2.3}*{1.1}, возможность добавить математику в формуле.<br /><br />Задайте формулу вида 4.31={4.25}{4.27}*2+({3.15}+{1.25}){4.2}, где 4.31= это fieldid calculatorSum, с которым связана формула. {4.25} - fieldid поля, вместо которго будет подставлено значение из настроек (число или математическое выражение). Точка-запятая - разделитель формул. Учитывайте, что если в итоговой форме одно и тоже поле встретится несколько раз с разным значением (например,выводится зависимым полем), то будет задействовано последнее. А если поле не найдено, оно будет проигнорировано.<br /><br />Для вывода нескольких результатов используйте формулу вида:<br /><br />width={4.27}{3.15};<br />4.25=({7.0} >= 10?100:200){7.1};<br />4.58={4.25}{4.27}{4.25}+{width};<br />5.7=3.14*{3.16}*{3.16}/2+{4.25}({4.27}||{2.15});<br />9.12={width}*{5.7}<br /><br />В этом способе можно использовать следующие символы: 0-9()-.+<>!=:?*/|%&. Недостатком является привязка к id поля, что затрудняет использование динамического калькулятора. Например, пользователь клонирует группу полей. При этом появляется несколько полей с одинаковым id. Пользователь вводит разные значения, но калькулятор учитывает только одно.',
    'QF_CDESK_SIMPLE' => 'Этот вариант повторяет обычную распространенную логику. Он полностью переносит математику в формулу. Вместо математических выражений в math полей, туда нужно вводить название переменной. Например, width в первом поле и height во втором. Формула для расчета половины площади тогда будет выглядеть следующим образом: 4.31 = {width}*{height}/2. Формула для расчета площади круга примет вид: 4.32 = 3.14*{d}*{d}/4, где d переменная, присвоенная полю с диаметром.<br /><br /> Недостаток - калькулятор считает только input поля типа number, text, range.<br /><br />Как и предыдущий вариант, этот способ может выводить несколько результатов. Для этого нужно несколько раз вывести функциональное поле calculatorSum. В этом способе можно использовать следующие символы: 0-9()-.+<>!=:?*/|%&',
    'QF_CDESK_CUSTOM' => 'Все предыдущие калькуляторы считают форму js-том на компьютере клиента, а после ее отправки, проверяют, пересчитывая поля на сервере. Предлагаемый данный способ всегда считает на сервере, отправляя запрос аяксом при каждом изменении формы. Формула расчета записывается непосредственно на языке php. В формулу достаточно записать только include (путь к файлу с логикой). Этот вариант самый функциональный, но требует знания языка.<br /><br />Пример расчета конуса:',
    'QF_PROGECTS' => 'Проекты',
    'QF_FIELD_GROUPS' => 'группы полей',
    'QF_BY_DEFAULT' => 'По умолчанию',
    'QF_STATE_2' => 'Сост.',
    'QF_ACCESS_2' => 'Доступ',
    'QF_QUANTITY' => 'Кол-во',
    'QF_FIELDS' => 'Поля',
    'QF_ADD_FIELD' => 'Добавить поля',
    'QF_ALL_FORMS' => 'Все формы',
    'QF_EMPTY_PROGECTS' => 'Создайте проект вашей будующей формы. Тут вы можете задать её основные настройки, например, сделать её калькулятором, выводить в модальном окне, прикрепить индивидуальный файл стилей и так далее.',
    'QF_ERR_DATABASE' => 'Произошла ошибка базы данных.',
    'QF_N_ITEMS_PUBLISHED' => 'записей успешно опубликовано.',
    'QF_N_ITEMS_UNPUBLISHED' => 'записей сняты с публикации.',
    'QF_N_ITEMS_DELETED' => 'записей успешно удалено.',
    'QF_N_GROUPS_DELETED' => 'зависимых групп удалено.',
    'QF_N_PROJECTS_DELETED' => 'проектов удалено.',
    'QF_ERROR' => 'Ошибка:',
    'QF_MESSAGE' => 'Сообщение:',
    'QF_DESCADDTOCART' => 'Используйте эту кнопку вместо submit, тогда форма будет сохранена в корзину.<br><br>Для отображения корзины, используйте хештег [qf_cart] на страницах своего сайта.<br><br>Включите режим магазина в настройках плагина.',
    'QF_DESCCALENDAR' => 'При использовании калькулятора и double, в значении v находится разность в днях между датами. При отрицательной разнице дней v равно 0. Параметр value может быть задан +10, -3, 0 - текущий день.',
    'QF_DESCCLONER' => 'Представляет из себя контейнер, в котором клонируется группа полей. Имеет вертикальный и горизонтальный (табличный) режим.<br><br>sum -  выводить сумму для каждого клона (только default калькулятор).<br><br>max - Максимальное количество клонов<br><br>numbering - текст и нумерация клонов (в email).',
    'QF_DESCINCLUDER' => 'Позволяет подключить любую группу полей плагина в текущую последовательность.',
    'QF_DESCMAT' => 'Напишите математическое выражение, которое выполнит калькулятор или оставьте поле пустым. Например +200 или *1.5+(50 или +2*v (для полей input, заполняемых пользователем, введенное значение обозначается v).',
    'QF_DESCMATCL' => 'Только для default калькулятора.<br>Напишите математическое выражение, которое добавится в калькулятор или оставьте поле пустым. Например +2*(<br><br>start - перед контейнером с клонами.<br>end - после контейнера.',
    'QF_DESCRECAPTCHA' => 'Настройки reCAPTCHA находятся в глобальных настройках конструктора.',
    'QF_DESCRELATED' => 'Введите id группы полей, которая будет отображаться при выборе или оставьте пустым. Можно использовать поля из любого проекта. Остерегайтесь рекурсии.',
    'QF_DESCSTEPPER' => 'Выводит контейнер, ограничивающий область формы, в которой отображается интерфейс.',
    'QF_DESCTABS' => 'Выводит контейнер, в котором группы полей отображаются вкладками.',
    'QF_HIDELETTER' => 'скрывать в email',
    'QF_HIDE_FIELD_AND_DEPENDENT_STRUCTURE' => 'скрыть поле и зависимую структуру',
    'QF_HIDE_FIELD_BUT_SHOW_DEPENDENT_STRUCTURE' => 'скрыть поле, но показать зависимую структуру',
    'QF_HIDE_ONLY_IF_NOT_SELECTED' => 'скрыть, только если не выбран',
    'QF_CALCSUM' => 'Эта функция выводит результат калькулятора в форму.<br><br>fixed - количество знаков после запятой.<br>unit - единица измерения.',
    'QF_ALL' => 'всем',
    'QF_BACKEMAIL' => 'Поле отправляет копию сообщения на email пользователя. Имеет скрытый и явный режим.<br><br>all- показывать всем (работает только в паре с полем userEmail). Небезопасно (компонент защищает от автоматического спама, но спамер может вводить чужие адреса и отправлять на них вручную). <br><br>registered - безопасно, форма будет отправлена на адрес из регистрационных данных пользователя (показывается только авторизованным).',
    'QF_SHOWF' => 'показать в форме',
    'QF_SHOWL' => 'показать в email',
    'QF_FILETOEMAIL' => 'Прикреплять к письму',
    'QF_FILETOSERVER' => 'Загружать на сервер',
    'QF_QFFILE' => '1. Пустой extens разрешает все типы файлов, кроме опасных.<br>2. Чтобы загружать на сервер, активируйте опцию в настройках плагина.',
    'QF_CUSTOMHTML' => 'Позволяет вставлять разметку между полей. Выводит любой html код, изображения, стили и т. д.<br><br>Вы можете использовать это поле для вывода разметки в email, но с учетом табличного построения письма.',
    'QF_SUMCLONER' => 'сумма в каждом клоне',
    'QF_STEPPERBTNS' => 'Выводит сразу две кнопки интерфейса. Должны быть внутри контейнера. Кнопки могут подгружаться зависимым полем, в этом случае интерфейс будет динамическим.',
    'QF_GLOBAL_SETTINGS' => 'Общие настройки',
    'QF_UPLOAD_FILES_DESCR' => 'Если нет, то файлы прикрепляются в письмо, но на сервер не загружаются',
    'QF_SHOPMOD' => 'Включить режим магазина',
    'QF_REFERENCE_TO_THE_AUTHOR' => 'Ссылка на сайт автора',
    'QF_SIMPLE' => 'Простая',
    'QF_INVISIBLE' => 'Скрытая (плохо для SEO)',
    'QF_REMOVE' => 'Удалить ссылку (активация)',
    'QF_ENTER_THE_CODE' => 'Введите код',
    'QF_SERVICES_LABEL' => 'Сервисы',
    'QF_THEME' => 'Тема',
    'QF_SHOW' => 'Показывать',
    'QF_GUEST' => 'только не авторизованным',
    'QF_SITEKEY' => 'Публичный ключ',
    'QF_SERVERKEY' => 'Секретный ключ',
    'QF_UPLOAD_FILES' => 'Загрузка файлов на сервер',
    'QF_ENTER_CODE' => 'Получите код активации на сайте',
    'QF_SHOP_SETTINGS' => 'Настройки корзины',
    'QF_MINICART_SET' => 'Минимодуль корзины',
    'QF_CART_WINDOW' => 'Окно корзины',
    'QF_FUNCTIONALITY' => 'Функциональность',
    'QF_CURRENCY_POS' => 'Положение валюты/ед. измерения.',
    'QF_BEFORE' => 'спереди',
    'QF_AFTER' => 'сзади',
    'QF_PCS' => 'Текст впереди',
    'QF_PRICE_LABEL' => 'товаров:',
    'QF_PRICE' => 'Цена / число.',
    'QF_FORMAT' => 'Форматировать',
    'QF_FIXED' => 'Знаков после запятой',
    'QF_BIGCART_LAB_1' => 'Текстовые вставки, html',
    'QF_BEFORE_CART' => 'Вверху корзины',
    'QF_AFTER_TABLE' => 'После таблицы',
    'QF_AFTER_CART' => 'Внизу корзины',
    'QF_BIGCART_LAB_2' => 'Встраиваемые формы: оплата, доставка, контактные данные или другое.',
    'QF_BIGCART_LAB_5' => 'Не используйте submit кнопку в этих формах. Не используйте input file. Формы могут быть с калькулятором и зависимыми полями.',
    'QF_BIGCART_LAB_4' => 'Эта форма откроется в модальном окне.',
    'QF_BIGCART_LAB_3' => 'Заголовки итогового счета',
    'QF_ORDER_PRICE' => 'Стоимость заказа',
    'QF_PRIMARY_SUM' => 'Предварительная сумма:',
    'QF_FINAL_PRICE' => 'Итоговая цена:',
    'QF_TO_ORDER' => 'Оформить заказ',
    'QF_SEND_ORDER' => 'Отправить заказ',
    'QF_BACK_CART' => 'Отправить копию email на адрес пользователя. (Опция требует активации расширения.)',
    'QF_BACK_CART_DESK' => 'Если в корзине есть поле useremail, отправляет туда. Если нет, (для авторизованных), отправит на регистрационные данные пользователя.',
    'QF_ADD_FILES' => 'Прикрепить файлы',
    'QF_ADD_FILES1' => 'внизу корзины',
    'QF_ADD_FILES2' => 'в каждой товарной позиции',
    'QF_REQUIRED' => 'обязательное',
    'QF_ALL_FILES' => 'Все файлы',
    'QF_WHITELIST' => 'Белый список',
    'QF_LIST' => 'Список',
    'QF_DISCOUNT_3' => 'Активировать скидки',
    'QF_DISCOUNT_EXAMPLE' => 'Диапазоны не должны пересекаться и разделены дефисом. Строки разделены знаком процента. В значениях промокодов не должно быть знака процента и дефиса. <br><br>Пример скидок от суммы заказа: <br>600-800-5%<br>800-1000-10%<br>1000-5000-20%<br><br>Пример промокодов:<br>plEGSZf1XVR88dgw-10%<br>40gWVrtm-15%<br>6jT4FA3zTq-5%',
    'QF_DISCOUNT_1' => 'Скидки от суммы:',
    'QF_DISCOUNT_2' => 'Промокоды:',
    'QF_ATTACHMENT_SETTINGS' => 'Загруженные файлы',
    'QF_DEL_OLD_FILES' => 'Удаление старых файлов, папок',
    'QF_PLUGIN_COD' => 'Код плагина',
    'QF_NEW' => 'Новый',
    'QF_UNDERWAY' => 'В работе',
    'QF_ACHIEVED' => 'Выполнено',
    'QF_NOTE' => 'Примечание',
    'QF_HELP' => '<br>Бесплатная поддержка на любом публичном форуме. Вам нужно прислать ссылку на страницу обсуждения через сайт <a target="_blank" href="http://plasma-web.ru/dev/quickform3">plasma-web.ru</a>. Отвечу ежедневно без выходных. Заявки на разработку форм, калькуляторов и разных расширений принимаются.<br>',
    'QF_TOOLBAR_CLOSE' => 'Закрыть и перейти к полям',
    'QF_MSGTMPL' => 'Сообщение выводит',
    'QF_TEMPLATE' => 'шаблон',
    'QF_EDIT_PROGECT' => 'Редактировать проект формы',
    'QF_ADD_PROGECT' => 'Создать проект формы',
    'QF_PROGECTS_LIST' => 'QuickForm проекты',
    'QF_FIELD_GROUPS' => 'Список групп полей проекта',
    'QF_EDIT_FIELDS' => 'Редактировать группу полей',
    'QF_ADD_FIELDS' => 'Создать группу полей',
    'QF_FILES_ACTIVAT' => 'Активируйте загрузку файлов в общих настройках.',
    'QF_NO_ACL' => 'У вас нет прав для редактирования записей.',
    'QF_PARAMS' => 'Параметры',
    'QF_CALCULATOR' => 'Калькулятор',
    'QF_DEPENDENT_FIELDS' => 'Зависимые поля',
    'QF_VISIBILITY_IN_EMAIL' => 'Видимость в E-mail',
    'QF_DESCRIPTION' => 'Описание',
    'QF_COUNTERS' => 'Сервисы',
    'QF_HIDE_ONLY_EMPTY' => 'Скрывать, если пустое',
    'QF_OPTIONS' => 'Опции',
    'QF_REDEFINE' => 'Переопределить умолчания',
);
