<?php
/**
 * @package		Joomla & QuickForm
* @Copyright ((c) plasma-web.ru
        * @license    GPLv2 or later
        */

namespace QuickForm;

\defined('QF3_PLUGIN_DIR') or die;


$qf_lang_array = array(
    'QF_ACTIVATION' => 'Joomla & QuickForm',
    'QF_STATE' => 'State',
    'QF_SUBMIT' => 'Send',
    'QF_ADDTOCART' => 'Add to cart',
    'QF_SOURCE' => 'source',
    'QF_PRODUCT_SERVICE' => 'PRODUCT / SERVICES',
    'QF_PRICE' => 'PRICE',
    'QF_NUMBER' => 'QTY',
    'QF_AMOUNT' => 'AMOUNT',
    'QF_ATTACHMENT' => 'Attach files',
    'QF_OFFER_DISCOUNTS_1' => 'We provide a discount on the amount',
    'QF_OFFER_DISCOUNTS_2' => 'We provide discounts from the total amount or by a promotional code:',
    'QF_PROMOCOD_TXT' => 'If you have a promo code, enter it here',
    'QF_ORDER_PRICE' => 'ORDER COST',
    'QF_FINAL_PRICE' => 'Total price:',
    'QF_TO_ORDER' => 'Checkout',
    'QF_SEND_ORDER' => 'Send order',
    'QF_PHOTO' => 'PHOTO',
    'QF_PRIMARY_SUM' => 'Primary sum:',
    'QF_DISCOUNT' => 'Discount',
    'QF_ACTIVATE' => 'activate',
    'QF_DISABLE' => 'deactivate',
    'QF_ATCH_DROP' => 'Drag files here or click to select',
    'QF_MAX_FILESIZE' => 'maximum file size:',
    'QF_LINK_LBL' => 'You can provide a link to the file',
    'QF_LINK' => 'link',
    'QF_LINK2' => 'Link:',
    'QF_ADD_LINK' => '+ Add another link',
    'QF_COMMENT' => 'Comment:',
    'QF_COMMENT_TO' => 'File comments:',
    'QF_DOWNLOAD' => 'Download files',
    'QF_CANCEL' => 'Cancel',
    'QF_ERR_CART' => 'error: A shopping cart error has occurred.',
    'QF_EMPTY_CART' => 'Cart empty',
    'QF_SUCCESS_FILES' => 'The files are uploaded. Edit',
    'QF_SAVE' => 'Save',
    'QF_ORDER' => 'Order',
    'QF_EMAIL_ERROR_CALCULATOR' => 'The form has not been submitted. Calculator error.',
    'QF_NOT_ALL' => 'Not all fields are filled',
    'RECAPTCHA_ERROR' => 'Captcha input error',
    'QF_CANNOT_BE_SENT' => 'This form cannot be submitted',
    'QF_NOT_COMPLETED' => 'An error occurred while sending your message. Email was not sent.',
    'QF_GUEST' => 'guest',
    'QF_YES' => 'yes',
    'QF_NO' => 'no',
    'QF_ERR_REQ_FILES' => 'Error sending files',
    'QF_ERR_SES' => 'error: The session has timed out. Files cannot be downloaded.',
    'QF_ERR_SES_DEL' => 'error: The session has timed out. The file cannot be deleted.',
    'QF_ERR_FILE_DEL' => 'error: This file cannot be deleted.',
    'QF_ERR_FILE_NAME' => 'error: Invalid file name:',
    'QF_ERR_FILE_EXT' => 'error: File extension not supported:',
    'QF_ERR_ATTACH_FILES' => 'error: Please attach files',
    'QF_ERR_FOLDER' => 'error: Failed to create folder',
    'QF_ERR_DOWNLOAD' => 'error: Failed to load file:',
    'QF_FORM_ERROR' => 'Form error',
    'QF_ERR_DOWNLOAD_1' => 'The file exceeds the maximum size.',
    'QF_PRICE_LABEL' => 'products:',
    'QF_MESSAGE_INNER' => 'Thank you for your order. Our manager will contact you soon.',

);
